API referenceDealCollection
POST /api/DealCollection/GetDealCollectionsByTypeIds
An array of Deal Collection Type ids should be passed in the request body, and the API returns a list of Deal Collections that match the ids.
POST
/api/DealCollection/GetDealCollectionsByTypeIdscurl -X POST "/api/DealCollection/GetDealCollectionsByTypeIds" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
1,
2,
3
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger[] | null
Response
application/json
A list of Deal Collections.
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.PortfolioManagement.DealCollectionResponseDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"name": "string",
"description": "string",
"dealCollectionTypeId": 0,
"externalId": "string",
"dealCollectionTypeName": "string",
"dealCollectionStatusId": 0,
"dealCollectionStatusName": "string",
"dealIds": [
0
],
"createdAt": "2026-01-15T09:30:00Z",
"modifiedAt": "2026-01-15T09:30:00Z",
"createdBy": "string"
}
]
}